//
//  ChatViewController.m
//  Knock
//
//  Created by Anna Wang on 11/25/15.
//  Copyright © 2015 Anna Wang. All rights reserved.
//

#import "ChatViewController.h"
#import "MessageCell.h"

@interface ChatViewController () <UITableViewDataSource, UITableViewDelegate, UITextFieldDelegate>

@property (weak, nonatomic) IBOutlet UITableView *tableView;
@property (weak, nonatomic) IBOutlet UITextField *messageText;
@property (weak, nonatomic) IBOutlet UIButton *sendButton;
@property (strong, nonatomic) NSMutableArray *messages;
@property (weak, nonatomic) IBOutlet UINavigationItem *navBar;
@property (strong, nonatomic) NSString *friend;
@property (strong, nonatomic) UIImage *friendImage;

@end

@implementation ChatViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.messages = [[NSMutableArray alloc] init];
    self.messageText.delegate = self;
    self.tableView.delegate = self;
    self.tableView.dataSource = self;
    
    NSArray *names = [NSArray arrayWithObjects:@"Felicia", @"Jeff", @"Juliana", @"Stefan", @"Ashley", @"Sarita", @"Dave", @"Maia", @"Michael", @"Isa", @"Christine", @"Anthony", @"Minna", @"Shankara", @"Nicolas",nil];
    NSArray *images = [NSArray arrayWithObjects:[UIImage imageNamed:@"friend2"],[UIImage imageNamed:@"friend1"], [UIImage imageNamed:@"friend3"],[UIImage imageNamed:@"friend4"], [UIImage imageNamed:@"friend5"], [UIImage imageNamed:@"friend6"],[UIImage imageNamed:@"friend11"], [UIImage imageNamed:@"friend10"],[UIImage imageNamed:@"friend12"], [UIImage imageNamed:@"friend7"],[UIImage imageNamed:@"friend8"],[UIImage imageNamed:@"friend15"], [UIImage imageNamed:@"friend9"],[UIImage imageNamed:@"friend14"], [UIImage imageNamed:@"friend13"], nil];
    int prof_id = [self.profileId intValue];
    self.navBar.title = [names objectAtIndex:prof_id];
    self.friend = self.navBar.title;
    self.friendImage = [images objectAtIndex:prof_id];
    
//    if ([self.profileId intValue] == 0){
//        self.navBar.title = @"Felicia";
//        self.friend = @"Felicia";
//        self.friendImage = [UIImage imageNamed:@"friend2"];
//    } else if ([self.profileId intValue] == 1){
//        self.navBar.title = @"Jeff";
//        self.friend = @"Jeff";
//        self.friendImage = [UIImage imageNamed:@"friend1"];
//    } else if ([self.profileId intValue] == 2){
//        self.navBar.title = @"Juliana";
//        self.friend = @"Juliana";
//        self.friendImage = [UIImage imageNamed:@"friend3"];
//    } else if ([self.profileId intValue] == 3){
//        self.navBar.title = @"Stefan";
//        self.friend = @"Stefan";
//        self.friendImage = [UIImage imageNamed:@"friend4"];
//    } else {
//        self.navBar.title = @"Ashley";
//        self.friend = @"Ashley";
//        self.friendImage = [UIImage imageNamed:@"friend5"];
//    }
    [self.messageText becomeFirstResponder];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
    return self.messages.count;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath
{
    if (self.messages.count > 0){
        NSArray *arr = [self.messages objectAtIndex:indexPath.row];
        if ([arr[0] isEqualToString:@"Jane"]){
            MessageCell *messageCell = [tableView dequeueReusableCellWithIdentifier:@"MessageCell"];
            messageCell.pic.image = [UIImage imageNamed:@"prof.png"];
            messageCell.message.text = arr[1];
            return messageCell;
        } else {
             MessageCell *messageCell = [tableView dequeueReusableCellWithIdentifier:@"ResponseTableViewCell"];
            messageCell.pic.image = self.friendImage;
            messageCell.message.text = arr[1];
            return messageCell;
        }
    }
    return nil;
}

- (IBAction)send:(id)sender {
    NSString *text = self.messageText.text;
    NSArray *a = [[NSArray alloc] initWithObjects:@"Jane",text, nil];
    [self.messages addObject:a];
    self.messageText.text = @"";
    [self.tableView reloadData];
    if (self.messages.count == 1) {
        double delayInSeconds = 1.0;
        dispatch_time_t popTime = dispatch_time(DISPATCH_TIME_NOW, delayInSeconds * NSEC_PER_SEC);
        dispatch_after(popTime, dispatch_get_main_queue(), ^(void){
            //code to be executed on the main queue after delay
            NSArray *b = [[NSArray alloc] initWithObjects:self.friend, @"Great to hear from you!", nil];
            [self.messages addObject:b];
            [self.tableView reloadData];
            dispatch_time_t popTime = dispatch_time(DISPATCH_TIME_NOW, 1.0 * NSEC_PER_SEC);
            dispatch_after(popTime, dispatch_get_main_queue(), ^(void){
                NSArray *c = [[NSArray alloc] initWithObjects:self.friend, @"Would love to meet, send me a meet request!", nil];
                [self.messages addObject:c];
                [self.tableView reloadData];
            });
        });
    }
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
