//
//  ProfileViewController.m
//  Knock
//
//  Created by Anna Wang on 11/25/15.
//  Copyright © 2015 Anna Wang. All rights reserved.
//

#import "ProfileViewController.h"
#import "ChatViewController.h"

#define Rgb2UIColor(r, g, b)  [UIColor colorWithRed:((r) / 255.0) green:((g) / 255.0) blue:((b) / 255.0) alpha:1.0]

@interface ProfileViewController ()

@property (weak, nonatomic) IBOutlet UILabel *nameLabel;
@property (weak, nonatomic) IBOutlet UIImageView *profilepic;
@property (weak, nonatomic) IBOutlet UITextView *bioText;
@property (weak, nonatomic) IBOutlet UIButton *contactButton;
@property (weak, nonatomic) IBOutlet UILabel *ageLabel;
@property (weak, nonatomic) IBOutlet UILabel *languagesLabel;

@end

@implementation ProfileViewController

- (void)viewDidLoad { 
    [super viewDidLoad];
    
    
    NSArray *names = [NSArray arrayWithObjects:@"Felicia Hall", @"Jeff Deere", @"Juliana Bee", @"Stefan Reed", @"Ashley Smith", @"Sarita Sooklal", @"Dave Fontenot", @"Maia Miller", @"Michael Raitor", @"Isa Badia-Bellinger", @"Christine Nguyen", @"Anthony Milki", @"Minna Liu", @"Shankara Anand", @"Nicolas Herrera",nil];
    NSArray *images = [NSArray arrayWithObjects:[UIImage imageNamed:@"friend2"],[UIImage imageNamed:@"friend1"], [UIImage imageNamed:@"friend3"],[UIImage imageNamed:@"friend4"], [UIImage imageNamed:@"friend5"], [UIImage imageNamed:@"friend6"],[UIImage imageNamed:@"friend11"], [UIImage imageNamed:@"friend10"],[UIImage imageNamed:@"friend12"], [UIImage imageNamed:@"friend7"],[UIImage imageNamed:@"friend8"],[UIImage imageNamed:@"friend15"], [UIImage imageNamed:@"friend9"],[UIImage imageNamed:@"friend14"], [UIImage imageNamed:@"friend13"], nil];
    
    int prof_id = [self.profileId intValue];
    self.nameLabel.text = [names objectAtIndex:prof_id];
    [self.profilepic setImage:[images objectAtIndex:prof_id]];
    self.assocLabel.text = self.assocL;
    self.distanceLabe.text = [NSString stringWithFormat:@"%@ %@", self.distanceL,@" miles away"];
    NSArray *bios = [NSArray arrayWithObjects:@"I travel all over the world! Adventurous and fun-loving. Contact me!", @"Foodie and artist. Hawaii Native.", @"Message me so we can go on adventures together.", @"Howdy. Native Texan here. Always excited to meet new people.", @"I love experiencing the finer things in life.", @"I love meeting new friends! Let's hang out.", @"Coder. Hipster. French. What can be better?", @"I'm a young university student from Barcelona taking time off to see the world. Send me a meet request!", @"Pleasure to meet you.", @"Young and free. YOLO.", @"I love food! Let's check out a new restaurant together!", @"Hi, I'm from Hungary. I love movies, coffee, and English literature.", @"My favorite books are Gone Girl and The Fault in Our Stars. I love Adele and JB!", @"Hit me up so we can hang.", @"Hi, I'm from Canada and I love new adventures.",nil];
    
    NSArray *lang = [NSArray arrayWithObjects:@"Spanish, English, French", @"English, Mandarin", @"English, German", @"English", @"Spanish, English", @"English, Italian", @"French, English", @"Spanish, English", @"English, German", @"Russian, English", @"Mandarin, English", @"Hungarian, English", @"English, Swedish", @"English, Russian", @"English, French, German",nil];
    
    NSArray *ages = [NSArray arrayWithObjects:@"18", @"25", @"22", @"21", @"20", @"27", @"23", @"19", @"24", @"24", @"26", @"29", @"25", @"24", @"29",nil];

    self.bioText.text = [bios objectAtIndex:prof_id];
    self.bioText.font = [UIFont fontWithName:@"Lato-Light" size:17.f];
    
    self.ageLabel.text = [NSString stringWithFormat:@"%@ %@", [ages objectAtIndex:prof_id], @" years old"];
    self.languagesLabel.text = [lang objectAtIndex:prof_id];
//    
//    [[self.contactButton layer] setBorderWidth:2.0f];
//    UIColor *c = Rgb2UIColor(46, 187, 145);
//    [[self.contactButton layer] setBorderColor:c.CGColor];
    
    if (!UIAccessibilityIsReduceTransparencyEnabled()) {
        self.view.backgroundColor = [UIColor clearColor];
        
        UIBlurEffect *blurEffect = [UIBlurEffect effectWithStyle:UIBlurEffectStyleLight];
        UIVisualEffectView *blurEffectView = [[UIVisualEffectView alloc] initWithEffect:blurEffect];
        blurEffectView.frame = self.view.bounds;
        blurEffectView.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
        
        [self.view insertSubview:blurEffectView atIndex:1];
    }
    else {
        self.view.backgroundColor = [UIColor blackColor];
    }
    
    [self.bioText setBackgroundColor: [UIColor clearColor]];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)viewDidAppear:(BOOL)animated{
    
}


#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    if ([[segue identifier] isEqualToString:@"profilePageSegue"])
    {
        ProfileViewController *vc = [segue destinationViewController];
        vc.profileId = self.profileId;
    }
}


@end
